# ffmpeg-album-normalise

Normalise music on an album-by-album basis using FFmpeg loudnorm, à la album ReplayGain

## Usage

FFmpeg loudnorm is a two-pass process. Firstly, run:

```
python scan.py *.mp3
```

This will scan all the specified files for loudness and generate a *levels.json* file in the current directory with the results.

Then run:

```
python normalise.py *.mp3 --outfmt wav
```

This will normalise the (logarithmic) average loudness of the album to -24 LUFS, while preserving the relative differences in loudness between the individual tracks.

You can change the output filetype, output directory, target loudness and other options. Pass the `--help` flag for a list of command line arguments.
